/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.ws.notification;

import javax.xml.namespace.QName;

import org.ow2.petals.ws.topic.WstConstants;

/**
 * Get current message object.
 *
 * @author chamerling - eBM WebSourcing
 *
 */
public class GetCurrentMessage {

    /**
     * The requested topic path
     */
    protected QName topicPath;

    /**
     * Creates a new instance of {@link GetCurrentMessage}
     *
     * @param topicPath
     */
    public GetCurrentMessage(QName topicPath) {
        this.topicPath = topicPath;
    }

    /**
     * Get the topic dialect
     *
     * @param name
     * @return
     */
    protected String getDialect(String name) {
        return name.indexOf('/') >= 0 ? WstConstants.CONCRETE_TOPIC_URI
                : WstConstants.SIMPLE_TOPIC_URI;
    }

    /**
     *
     * @return
     */
    public QName getTopicPath() {
        return topicPath;
    }
}
