/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.ws.notification;

import java.util.Date;

import org.ow2.petals.ws.addressing.EndpointReference;
import org.ow2.petals.ws.topic.WstConstants;

/**
 * Client side Subscribe request
 * 
 * @author chamerling - eBM WebSourcing
 *
 */
public class Subscribe {

    /**
     * The consumer EPR
     */
    protected EndpointReference consumerEPR;

    /**
     * The associated filter
     */
    protected Filter filter;

    /**
     * The subscription termination (not supported)
     */
    protected Date terminationTime;

    /**
     * Creates a new instance of {@link Subscribe}
     *
     * @param consumer
     * @param filter
     * @param terminationTime
     */
    public Subscribe(EndpointReference consumer, Filter filter,
            Date terminationTime) {
        super();
        this.consumerEPR = consumer;
        this.filter = filter;
        this.terminationTime = terminationTime;
    }

    /**
     * @return the consumer
     */
    public EndpointReference getConsumerEPR() {
        return this.consumerEPR;
    }

    /**
     * @param consumer
     *            the consumer to set
     */
    public void setConsumerEPR(EndpointReference consumer) {
        this.consumerEPR = consumer;
    }

    /**
     * @return the filter
     */
    public Filter getFilter() {
        return this.filter;
    }

    /**
     * @param filter
     *            the filter to set
     */
    public void setFilter(AcceptAllFilter filter) {
        this.filter = filter;
    }

    /**
     * @return the terminationTime
     */
    public Date getTerminationTime() {
        return this.terminationTime;
    }

    /**
     * @param terminationTime
     *            the terminationTime to set
     */
    public void setTerminationTime(Date terminationTime) {
        this.terminationTime = terminationTime;
    }

    /**
     *
     * @param name
     * @return
     */
    protected String getDialect(String name) {
        return name.indexOf('/') >= 0 ? WstConstants.CONCRETE_TOPIC_URI
                : WstConstants.SIMPLE_TOPIC_URI;
    }
}
