/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.ws.notification.handlers.filter;

import javax.xml.namespace.QName;

import org.ow2.petals.ws.fault.WsnFault;
import org.ow2.petals.ws.notification.Filter;

/**
 * @author Christophe HAMERLING (chamerling) - eBM WebSourcing
 *
 */
public interface FilterHandler {

    /**
     * Accept a filter name and dialect
     *
     * @param filterName
     * @param filterDialect
     * @return
     */
    boolean accept(QName filterName, String filterDialect);

    /**
     * Create a new instance of the filter
     *
     * @param filterName
     *            the name of the filter node
     * @param filterDialect
     *            the filter dialect
     * @param data
     *            all the XML child element data as string
     * @return
     */
    Filter createNewInstance(QName filterName, String filterDialect, String data)
            throws WsnFault;

    /**
     *
     * @return
     */
    QName getHandlerName();
}
